generate\ toString()=toString() \u751f\u6210
generate\ hashCode()=hashCode() \u751f\u6210
generate\ equals()=equals() \u751f\u6210
generate\ compareTo()=compareTo() \u751f\u6210
ToString\ type=ToString \u30bf\u30a4\u30d7
Use\ javabean\ properties=javabean \u30d7\u30ed\u30d1\u30c6\u30a3\u30fc\u3092\u4f7f\u7528
Use\ fields=\u30d5\u30a3\u30fc\u30eb\u30c9\u3092\u4f7f\u7528
Custom\ ToStringStyle=\u30ab\u30b9\u30bf\u30e0 ToStringStyle
Append\ super\ in\ toString()=toString() \u306b super \u3092\u8ffd\u52a0
Append\ super\ in\ hashCode()=hashCode() \u306b super \u3092\u8ffd\u52a0
Append\ super\ in\ equals()=equals() \u306b super \u3092\u8ffd\u52a0
Append\ super\ in\ compareTo()\ (only\ if\ superclass\ implements\ Comparable)=compareTo() \u306b super \u3092\u8ffd\u52a0 (\u30b9\u30fc\u30d1\u30fc\u30fb\u30af\u30e9\u30b9\u306b Comparable \u304c\u5b9f\u88c5\u3055\u308c\u3066\u3044\u308b\u5834\u5408\u306e\u307f)
Declare\ method\ parameters\ as\ final=\u30e1\u30bd\u30c3\u30c9\u30fb\u30d1\u30e9\u30e1\u30fc\u30bf\u30fc\u3092 final \u3067\u5ba3\u8a00
Add\ an\ instance\ equality\ check\ to\ equals()=equals() \u306b\u30a4\u30f3\u30b9\u30bf\u30f3\u30b9\u7b49\u5024\u30c1\u30a7\u30c3\u30af\u3092\u8ffd\u52a0
Overwrite\ existing\ methods\ without\ confirmation=\u78ba\u8a8d\u306a\u3057\u3067\u65e2\u5b58\u306e\u30e1\u30bd\u30c3\u30c9\u3092\u4e0a\u66f8\u304d
Excluded\ fields=\u30d5\u30a3\u30fc\u30eb\u30c9\u9664\u5916
Field/properties\ not\ included\ in\ generated\ methods\ (*\ and\ ?\ are\ valid\ wildcards)=\u751f\u6210\u30e1\u30bd\u30c3\u30c9\u304b\u3089\u9664\u5916\u3059\u308b\u30d5\u30a3\u30fc\u30eb\u30c9/\u30d7\u30ed\u30d1\u30c6\u30a3\u30fc (* \u3068 ? \u306f\u6709\u52b9\u306a\u30ef\u30a4\u30eb\u30c9\u30ab\u30fc\u30c9\u3067\u3059)
